### Method

# Gimp Gradient get_custom_samples

since: 2.2

#### Declaration [src]

    GeglColor**
    gimp_gradient_get_custom_samples (
      GimpGradient* gradient,
      gsize num_samples,
      const gdouble* positions,
      gboolean reverse
    )

#### Description [src]

Sample the gradient in custom positions.

Samples the color of the gradient at positions from a list. The left endpoint of the gradient corresponds to position 0.0, and the right endpoint corresponds to 1.0. Returns a list of colors, one for each sample.

Available since: 2.2

#### Parameters

`num_samples`

  Type: `gsize`

  The number of samples to take.

`positions`

  Type: An array of `double`

  The list of positions to sample along the gradient.

  The length of the array is specified in the `num_samples` argument.
  The data is owned by the caller of the method.

`reverse`

  Type: `gboolean`

  Use the reverse gradient.

#### Return value

Type: An array of `GeglColor*`

Color samples. The returned value must be freed with gimp_color_array_free().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.